<?php
global $WCFM;
?>
<div class="wcfm-clearfix"></div>
<div id="wcfm_menu">
  <div class="wcfm_menu_item wcfm_menu_home menu_tip" data-tip="<?php _e( 'Home', $WCFM->text_domain ); ?>">
    <a href="<?php echo get_wcfm_page(); ?>"><img src="<?php echo $WCFM->plugin_url; ?>/assets/images/wcfm-30x30.png" alt="WCFM Home" /></a>
  </div>
  <div class="wcfm_menu_separator">-----</div>
  <div class="wcfm_menu_item wcfm_menu_products menu_tip" data-tip="<?php _e( 'Products', $WCFM->text_domain ); ?>">
    <a href="<?php echo get_wcfm_products_url(); ?>"><span class="wcicon-simple"></span></a>
    <span class="wcfm_sub_menu_items wcfm_sub_menu_items_product_manage moz_class">
      <a href="<?php echo get_wcfm_edit_product_url(); ?>"><?php _e( 'Add New', $WCFM->text_domain ); ?></a>
    </span>
  </div>
  <div class="wcfm_menu_separator">-----</div>
  <div class="wcfm_menu_item wcfm_menu_coupons menu_tip" data-tip="<?php _e( 'Coupons', $WCFM->text_domain ); ?>">
    <a href="<?php echo get_wcfm_coupons_url(); ?>"><span class="wcicon-coupon"></span></a>
    <span class="wcfm_sub_menu_items wcfm_sub_menu_items_coupon_manage moz_class">
      <a href="<?php echo get_wcfm_coupons_manage_url(); ?>"><?php _e( 'Add New', $WCFM->text_domain ); ?></a>
    </span>
  </div>
  <div class="wcfm_menu_separator">-----</div>
  <div class="wcfm_menu_item wcfm_menu_orders menu_tip" data-tip="<?php _e( 'Orders', $WCFM->text_domain ); ?>"><a href="<?php echo get_wcfm_orders_url(); ?>"><span class="wcicon-truck-2"></span></a></div>
  <div class="wcfm_menu_separator">-----</div>
  <div class="wcfm_menu_item wcfm_menu_reports menu_tip" data-tip="<?php _e( 'Reports', $WCFM->text_domain ); ?>"><a href="<?php echo get_wcfm_reports_url(); ?>"><span class="wcicon-reports"></span></a></div>
</div>