<?php
global $WCFM;

do_action( 'before_wcfm_products' );

?>

<div class="collapse" id="wcfm_products_listing">

	<!-- collapsible -->
	<div class="page_collapsible" id="wcfm_products_listing_head"><?php _e('Products', $WCFMu->text_domain); ?><span></span></div>
	<div class="container">
		<div id="wcfm_products_listing_expander" class="content">
			<table id="wcfm-products" class="display" cellspacing="0" width="100%">
				<thead>
					<tr>
						<th><span class="wcicon-image text_tip" data-tip="<?php _e( 'Image', $WCFM->text_domain ); ?>"></span></th>
						<th><?php _e( 'Name', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'SKU', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Stock', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Price', $WCFM->text_domain ); ?></th>
						<th><span class="wcicon-simple text_tip" data-tip="<?php _e( 'Type', $WCFM->text_domain ); ?>"></span></th>
						<th><?php _e( 'Date', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Actions', $WCFM->text_domain ); ?></th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th><span class="wcicon-image text_tip" data-tip="<?php _e( 'Image', $WCFM->text_domain ); ?>"></span></th>
						<th><?php _e( 'Name', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'SKU', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Stock', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Price', $WCFM->text_domain ); ?></th>
						<th><span class="wcicon-simple text_tip" data-tip="<?php _e( 'Type', $WCFM->text_domain ); ?>"></span></th>
						<th><?php _e( 'Date', $WCFM->text_domain ); ?></th>
						<th><?php _e( 'Actions', $WCFM->text_domain ); ?></th>
					</tr>
				</tfoot>
			</table>
			<div class="wcfm-clearfix"></div>
		</div>
	</div>
</div>
	
<?php
do_action( 'after_wcfm_products' );
?>